﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace WCS.Service.Migrations
{
    public partial class _21041405 : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "WCS_BCRDATA",
                columns: table => new
                {
                    ID = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    CONTENT = table.Column<string>(type: "nvarchar(20)", maxLength: 20, nullable: true),
                    ENABLED = table.Column<bool>(type: "bit", nullable: false),
                    UPDATEUSER = table.Column<string>(type: "nvarchar(50)", maxLength: 50, nullable: false),
                    UPDATETIME = table.Column<DateTime>(type: "datetime2", nullable: false),
                    VER = table.Column<byte[]>(type: "rowversion", rowVersion: true, nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_WCS_BCRDATA", x => x.ID);
                });

            migrationBuilder.CreateTable(
                name: "WCS_STATIONDATA",
                columns: table => new
                {
                    ID = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    TASKNUM = table.Column<int>(type: "int", nullable: false),
                    GOODSCODE = table.Column<short>(type: "smallint", nullable: false),
                    GOODSTYPE = table.Column<short>(type: "smallint", nullable: false),
                    GOODSSIZE = table.Column<short>(type: "smallint", nullable: false),
                    GOODSSTART = table.Column<short>(type: "smallint", nullable: false),
                    GOODSEND = table.Column<short>(type: "smallint", nullable: false),
                    WEIGHT = table.Column<short>(type: "smallint", nullable: false),
                    FLAGS = table.Column<short>(type: "smallint", nullable: false),
                    CONFIRM = table.Column<short>(type: "smallint", nullable: false),
                    ENABLED = table.Column<bool>(type: "bit", nullable: false),
                    UPDATEUSER = table.Column<string>(type: "nvarchar(50)", maxLength: 50, nullable: false),
                    UPDATETIME = table.Column<DateTime>(type: "datetime2", nullable: false),
                    VER = table.Column<byte[]>(type: "rowversion", rowVersion: true, nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_WCS_STATIONDATA", x => x.ID);
                });

            migrationBuilder.CreateTable(
                name: "WCS_STATIONSTATUSDATA",
                columns: table => new
                {
                    ID = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    Flags = table.Column<int>(type: "int", nullable: false),
                    ENABLED = table.Column<bool>(type: "bit", nullable: false),
                    UPDATEUSER = table.Column<string>(type: "nvarchar(50)", maxLength: 50, nullable: false),
                    UPDATETIME = table.Column<DateTime>(type: "datetime2", nullable: false),
                    VER = table.Column<byte[]>(type: "rowversion", rowVersion: true, nullable: true)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_WCS_STATIONSTATUSDATA", x => x.ID);
                });
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "WCS_BCRDATA");

            migrationBuilder.DropTable(
                name: "WCS_STATIONDATA");

            migrationBuilder.DropTable(
                name: "WCS_STATIONSTATUSDATA");
        }
    }
}
