﻿using System;

namespace WCS.Entity.Protocol
{
    /// <summary>
    /// 站台协议
    /// </summary>
    public interface IStation : IDATA
    {
        /// <summary>
        /// 任务号
        /// </summary>
        Int32 TASKNUM { get; set; }

        /// <summary>
        /// 货物编码
        /// </summary>
        Int16 GOODSCODE { get; set; }

        /// <summary>
        /// 货物类型
        /// </summary>

        Int16 GOODSTYPE { get; set; }

        /// <summary>
        /// 货物尺寸
        /// </summary>
        Int16 GOODSSIZE { get; set; }

        /// <summary>
        /// 起始位置
        /// </summary>
        Int16 GOODSSTART { get; set; }

        /// <summary>
        /// 目标位置
        /// </summary>
        Int16 GOODSEND { get; set; }

        /// <summary>
        /// 重量
        /// </summary>
        Int16 WEIGHT { get; set; }

        /// <summary>
        /// 标记
        /// </summary>
        StationFlags FLAGS { get; set; }

        /// <summary>
        /// 确认
        /// </summary>
        Int16 CONFIRM { get; set; }
    }



}
