﻿using System;
using System.Collections.Generic;
using System.ComponentModel; 
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WCS.Core;
using WCS.Entity;
using WCS.Entity.Protocol;

namespace WCS.Service.Handlers
{
    [Description("扫码头处理")]
    public class BCRHandler : LogicHandler<Device<IBCR>>
    { 
        public override void Start()
        {
            AddWork(v => true, Execute);
        }


        [Description("扫码")]
        protected override void Execute(Device<IBCR> dev)
        {
            var code = dev.Data.CONTENT;
            Console.WriteLine(code);
        }  
    }
}
